summaryrefslogtreecommitdiff
path: root/libs/ardour/run-tests.sh
diff options
context:
space:
mode:
authorDavid Robillard <d@drobilla.net>2009-10-27 16:18:57 +0000
committerDavid Robillard <d@drobilla.net>2009-10-27 16:18:57 +0000
commit94e4d93365ce49191d92ae4a11e728fe4d6d3c4a (patch)
tree00174fffab89bd6e2b9ad1f9e7ca6d31372c822b /libs/ardour/run-tests.sh
parent96ca98c586b2c6f05b6b06af037243d36b2c0c44 (diff)
Add test running script in source directory.
git-svn-id: svn://localhost/ardour2/branches/3.0@5946 d708f5d6-7413-0410-9779-e7cbd77b26cf
Diffstat (limited to 'libs/ardour/run-tests.sh')
-rwxr-xr-xlibs/ardour/run-tests.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/libs/ardour/run-tests.sh b/libs/ardour/run-tests.sh
new file mode 100755
index 0000000000..85ddfeaf81
--- /dev/null
+++ b/libs/ardour/run-tests.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:../../build/default/libs/ardour
+if [ ! -f './bbt_time.cc' ]; then
+ echo "This script must be run from within the libs/ardour directory";
+ exit 1;
+fi
+
+srcdir=`pwd`
+
+cd ../../build/default/libs/ardour
+./run-tests